Subject: Re: [mosh-devel] mosh 1.2.3 error when using on Cygwin
From: Reini Urban <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 19 Nov 2012 12:27:08 -0600
List-Id: <cygwin.cygwin.com>

On Fri, Nov 9, 2012 at 4:10 PM, nyc4bos wrote:
> [My cygcheck.out was somehow not included, so I am resending]
>
> Reini Urban <[email-masked]> writes:
>> On 11/05/2012 06:47 PM, nyc4bos wrote:
>>> After starting up mosh on Cygwin and then attempting to type
>>> `ls', I see the following on my screen:
>>>
>>> $ ls select: No error
>>>
>>>
>>> mosh did not shut down cleanly. Please note that the
>>> mosh-server process may still be running on the server.
>>>
>>> [mosh is exiting.]
>>>        1 [main] mosh-client 4524 cygthread::detach: called detach but inuse 0, th
>>> read 0xF7C?
>>>
>>>
>>> Sometimes I am able to type a few commands but mostly it is only
>>> after one command before I see the "select: No error" message.
>>>
>>> The mosh-server.exe process is still running.
>>>
>>> I am on Windows XP and I am running a freshly installed Cygwin using
>>> Cygwin setup 1.7.17-1 (the latest) and mosh 1.2.3.
>>>
>>> Thanks.

I am afraid, I could not get any insight into your problem.
The cygcheck looks fine

I would check for windows unusual hooks in your system,
like antivirus checkers or bloda.

>> It looks like you are using mosh-1.2.2-1 (the perl wrapper)
>> and not the latest version. If so, please upgrade your mosh to latest
>> which is mosh-1.2.3-1
>>
>> If not, please send us a the output of cygcheck -s -v -r > cygcheck.out
>> as explained in http://cygwin.com/problems.html
>
> Owner@station03 ~
> $ which mosh
> /usr/bin/mosh
>
> Owner@station03 ~
> $ mosh --version
> mosh 1.2.3
> Copyright 2012 Keith Winstein <[email-masked]>
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
>
> Thanks.
-- 
Reini Urban
http://cpanel.net/   http://www.perl-compiler.org/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple